%define bname gstreamer0.10
%define name %bname-ffmpeg
%define oname gst-ffmpeg
%define version 0.10.13
%define release %mkrel 3
%define gstver 0.10.22

# _with = default off, _without = default on
%bcond_without external_ffmpeg

Summary: Gstreamer plugin for the ffmpeg codec
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://gstreamer.freedesktop.org/src/gst-ffmpeg/%{oname}-%{version}.tar.bz2
Patch1: gst-ffmpeg-fix-format-strings.patch
License: GPLv2+
Group: Video
URL: http://www.gstreamer.net
BuildRequires: libgstreamer-plugins-base-devel >= %gstver
BuildRequires: liborc-devel >= 0.4.5
BuildRequires: freetype2-devel
BuildRequires: libcheck-devel
Buildrequires: yasm
%ifnarch %arm %mips
BuildRequires: valgrind
%endif
BuildRequires: libbzip2-devel
%if %with external_ffmpeg
BuildRequires: ffmpeg-devel
%endif

%description
Video codec plugin for GStreamer based on the ffmpeg libraries.

%prep
%setup -q -n %oname-%version
%apply_patches

%build
%define _disable_ld_no_undefined 1
# gst-ffmpeg mp3 decoder has issues (eg no seeking support), disable it since
# gst-plugins-bad and gst-fluendo both ship better mp3 decoders
%configure2_5x \
  --with-package-name='%{distribution} %name package' \
  --with-package-origin='http://www.mageia.org/' \
  --with-ffmpeg-extra-configure='--disable-decoder=mp3 --disable-decoder=mp3on4 --disable-decoder=mp3adu --disable-demuxer=mp3 --disable-demuxer=asf' \
%if %with external_ffmpeg
	--with-system-ffmpeg
%endif

%make

%check
cd tests/check
#gw fails in iurt
#make check

%install
%makeinstall_std
rm -f %buildroot%_libdir/gstreamer*/*a

%files
%doc README NEWS TODO ChangeLog AUTHORS 
%_libdir/gstreamer-0.10/libgstffmpeg.so
%_libdir/gstreamer-0.10/libgstffmpegscale.so
%_libdir/gstreamer-0.10/libgstpostproc.so


%changelog

* Fri Jan 27 2012 fwang <fwang> 0.10.13-3.mga2
+ Revision: 202152
- rebuild for new ffmpeg

* Mon Jan 16 2012 anssi <anssi> 0.10.13-2.mga2
+ Revision: 196824
- build against system FFmpeg (the issues previously encountered with it
  have been fixed)
- drop enable-mpegts.patch, gst-plugins-bad now has a working mpegts
  demuxer

* Sat Dec 03 2011 shlomif <shlomif> 0.10.13-1.mga2
+ Revision: 175573
- New version - 0.10.13

  + fwang <fwang>
    - br yasm
    - new version 0.10.12

* Sun Jan 16 2011 ahmad <ahmad> 0.10.11-3.mga1
+ Revision: 20342
- adapt configure options to Mageia
- imported package gstreamer0.10-ffmpeg

